Subject: bug#59587: 28.2; gnus does not retrieve emails sent from another device

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 09 Dec 2022 08:46:50 -0800

Waleed Yousef <[email-masked]> writes:

> Oh; but for the imap account Gnus keeps fetching all the emails again
> and again! I have to remove this :predicate "1:*"

You'll have to play with matching :predicate and :fetchflag configs. The
:predicate can target flags (the default appears to be "UNSEEN
UNDELETED") and then :fetchflag can set a flag that will be filtered out
by subsequent fetches.

The pop mail source doesn't have an equivalent predicate, and I assume
it would just fetch everything.

Nothing has changed with mail sources or fetching in the past several
months...